Bug 2150984 - Build Fedora Silverblue & Kinoite using rpm-ostree unified core mode
Summary: Build Fedora Silverblue & Kinoite using rpm-ostree unified core mode
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Timothée Ravier
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 2150982 F39Changes
TreeView+ depends on / blocked
 
Reported: 2022-12-05 18:58 UTC by Ben Cotton
Modified: 2023-11-14 18:57 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-11-14 18:57:27 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Ben Cotton 2022-12-05 18:58:54 UTC
This is a tracking bug for Change: Build Fedora Silverblue & Kinoite using rpm-ostree unified core mode
For more details, see: https://fedoraproject.org/wiki/Changes/FedoraSilverblueUnifiedCore

rpm-ostree upstream development is focusing on the "unified core" mode and the previous mode is being deprecated. Fedora Silverblue and Fedora Kinoite are currently building using the old mode and we've wanted to move over for a while. The main advantage of the unified core mode is that it is stricter and safer, while enabling some post processing steps to happen during or after the image build.

If you encounter a bug related to this Change, please do not comment here. Instead create a new bug and set it to block this bug.

Comment 1 Ben Cotton 2023-02-07 14:27:33 UTC
Today we reached the Code Complete (Testable) milestone on the F38 schedule: https://fedorapeople.org/groups/schedule/f-38/f-38-key-tasks.html

At this time, all F38 Changes should be complete enough to be testable. You can indicate this by setting this tracker to the MODIFIED status. If the Change is 100% code complete, you can set the tracker to ON_QA. If you need to defer this Change to F39, please NEEDINFO me.

Changes that have not reached at least the MODIFIED status will be given to FESCo for evaluation of contingency plans.

Comment 2 Timothée Ravier 2023-02-08 17:24:02 UTC
This is not yet testable in Rawhide but we're still trying to make that happen.

Comment 3 Ben Cotton 2023-02-21 21:59:50 UTC
Today we reached the Code Complete (100% complete) milestone on the F38 schedule: https://fedorapeople.org/groups/schedule/f-38/f-38-key-tasks.html

At this time, all F38 Changes should be 100% complete. You can indicate this by setting this tracker to the ON_QA status. If you need to defer this Change to F39 please NEEDINFO me.

Note that we are entering the Beta freeze. Additional package changes to complete this Change will need an approved blocker or freeze exception. See https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process and https://fedoraproject.org/wiki/QA:SOP_freeze_exception_bug_process for more information.

Changes that have not reached the ON_QA status will be given to FESCo for evaluation of contingency plans.

Comment 4 Timothée Ravier 2023-02-23 11:57:11 UTC
We did not manage to make it happen for F38. This will be for F39 and we'll try to backport the changes as much as possible later.

Comment 5 Ben Cotton 2023-02-23 16:18:43 UTC
Ack, deferring to F39

Comment 6 Timothée Ravier 2023-07-24 08:51:00 UTC
This is now available in Rawhide for testing!

Comment 7 Timothée Ravier 2023-08-21 16:22:20 UTC
Moving to ON_QA as this is in Rawhide and F39 and should be ready for testing.

As this is a server / build side change, there should be no visible user change for this change.

Comment 8 Aoife Moloney 2023-11-14 18:57:27 UTC
F39 was released on November 7th, so I am closing this tracker. If this Change was not completed, please notify me ASAP.


Note You need to log in before you can comment on or make changes to this bug.